Bug 736148 - Sync cancel fails because Pulp API changed
Summary: Sync cancel fails because Pulp API changed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: Mike McCune
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks: katello-blockers
TreeView+ depends on / blocked
 
Reported: 2011-09-06 19:52 UTC by Mike McCune
Modified: 2019-09-25 21:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-22 17:55:54 UTC


Attachments (Terms of Use)

Description Mike McCune 2011-09-06 19:52:41 UTC
To cancel a sync you now have to call a specific 'cancel' method in the Pulp API:

before:

DELETE /pulp/api/repositories/<repo-id>/sync/<sync-id>/

new path required:

POST /pulp/api//tasks/<sync-id>/cancel/

Comment 1 Corey Welton 2011-10-25 04:08:46 UTC
QA Verified, we can now cancel sync again.


Note You need to log in before you can comment on or make changes to this bug.